<template>
  <section class="form-section">
    <div class="title">
      <span>{{ number || "" }}</span
      >{{ title }}
    </div>
    <div class="content">
      <slot />
    </div>
  </section>
</template>

<script>
export default {
  props: {
    number: { type: Number, default: null },
    title: String
  }
}
</script>

<style lang="scss" scoped>
.form-section {
  .title {
    span {
      background: #2a88ad;
      padding: 5px 10px 5px 10px;
      position: absolute;
      border-radius: 50%;
      -webkit-border-radius: 50%;
      -moz-border-radius: 50%;
      border: 4px solid #fff;
      font-size: 14px;
      margin-left: -45px;
      color: #fff;
      margin-top: -3px;
      transform: translate(0, -3px);
    }

    font: normal 20px "Bitter", serif;
    color: #2a88ad;
    margin-bottom: 5px;
  }

  .content {
    label > * {
      min-width: 100%;
      align-self: center;
    }

    label {
      display: flex;
      flex-direction: column;

      padding: 1em;

      align-items: stretch;

      width: 20em;
    }

    display: flex;
    flex-direction: column;

    align-items: center;
  }

  padding-top: 2em;
  padding-bottom: 1em;
  background: #f8f8f8;
  border-radius: 6px;
  margin-bottom: 15px;
}
</style>
